cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Filip Maj <maj....@gmail.com>
Subject [DISCUSS] Remove cordova-android's `android_sdk_version` script
Date Thu, 16 Mar 2017 22:39:55 GMT
I recently issued a pull request to update the cordova-android CLI
scripts to work with Android SDK Tools 25.3.1 [1]. As part of the
discussion in there, it came up that, in particular cases where one's
environment was not set up with proper environment variables, running
`./bin/android_sdk_version` or `./cordova/android_sdk_version` would
fail.

This script solely prints out the most-recent Android API level or
target installed on the user's machine. It is not used in any other
scripts.

I propose we remove it. I believe it is a non-standard CLI script,
that is, no other platform provides a similar script as far as I can
tell.

Thoughts?

[1] https://github.com/apache/cordova-android/pull/369

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@cordova.apache.org
For additional commands, e-mail: dev-help@cordova.apache.org


Mime
View raw message